Bug 1212356 (CVE-2015-3415) - CVE-2015-3415 sqlite: invalid free() in src/vdbe.c
Summary: CVE-2015-3415 sqlite: invalid free() in src/vdbe.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3415
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1212360 1244731 1244732
Blocks: 1212358
TreeView+ depends on / blocked
 
Reported: 2015-04-16 09:15 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:31 UTC (History)
7 users (show)

Fixed In Version: SQLite 3.8.9
Doc Type: Bug Fix
Doc Text:
It was found that SQLite's sqlite3VdbeExec() function did not properly implement comparison operators. A local attacker could submit a specially crafted CHECK statement that would crash the SQLite process, or have other unspecified impacts.
Clone Of:
Environment:
Last Closed: 2015-08-17 12:36:04 UTC


Attachments (Terms of Use)
Backported upstream patch for RHEL7 (1.34 KB, patch)
2015-07-23 11:17 UTC, Jan Staněk
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1635 normal SHIPPED_LIVE Moderate: sqlite security update 2015-08-17 15:44:43 UTC

Description Vasyl Kaigorodov 2015-04-16 09:15:38 UTC
Invalid free() issue was reported in SQLite.
This was fixed by following upstream commit:

https://www.sqlite.org/src/info/02e3c88fbf6abdcf

More information about this issue can be found in the links below:
http://www.securityfocus.com/archive/1/535269
http://lcamtuf.blogspot.fr/2015/04/finding-bugs-in-sqlite-easy-way.html

Comment 1 Vasyl Kaigorodov 2015-04-16 09:20:30 UTC
Created sqlite tracking bugs for this issue:

Affects: fedora-all [bug 1212360]

Comment 2 Fedora Update System 2015-04-22 22:46:08 UTC
spatialite-tools-4.2.0-10.fc21, sqlite-3.8.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-04-23 16:09:09 UTC
spatialite-tools-4.2.0-10.fc22, sqlite-3.8.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-26 12:56:48 UTC
spatialite-tools-4.1.1-12.fc20, sqlite-3.8.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Vasyl Kaigorodov 2015-04-28 13:36:13 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2015-3415 to
the following vulnerability:

Name: CVE-2015-3415
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-3415
Assigned: 20150424
Reference: https://www.sqlite.org/src/info/02e3c88fbf6abdcf3975fb0fb71972b0ab30da30

The sqlite3VdbeExec function in vdbe.c in SQLite before 3.8.9 does not
properly implement comparison operators, which allows
context-dependent attackers to cause a denial of service (invalid free
operation) or possibly have unspecified other impact via a crafted
CHECK clause, as demonstrated by CHECK(0&O>O) in a CREATE TABLE
statement.

Comment 7 Siddharth Sharma 2015-07-03 09:03:27 UTC
RHEL 5 and 6 are *NOT affected by this flaw as the code affected by this CVE is not present in the sqlite package shipped for these products.

Comment 10 Jan Staněk 2015-07-23 11:17:00 UTC
Created attachment 1055285 [details]
Backported upstream patch for RHEL7

Comment 11 errata-xmlrpc 2015-08-17 11:45:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1635 https://rhn.redhat.com/errata/RHSA-2015-1635.html


Note You need to log in before you can comment on or make changes to this bug.